cryptohash-0.11.9: collection of crypto hashes, fast, pure and practical

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | Trustworthy
Language | Haskell98

Crypto.Hash.SHA512t

Contents

- Incremental hashing Functions
- Single Pass hashing

Description

A module containing SHA512/t

Synopsis

- data Ctx = Ctx !Int !Ctx
- init :: Int -> Ctx
- update :: Ctx -> ByteString -> Ctx
- finalize :: Ctx -> ByteString
- hash :: Int -> ByteString -> ByteString
- hashlazy :: Int -> ByteString -> ByteString

# Documentation

data Ctx #

SHA512 Context with variable size output

Constructors

Ctx !Int !Ctx |

# Incremental hashing Functions

init :: Int -> Ctx #

init a context

update :: Ctx -> ByteString -> Ctx #

update a context with a bytestring

finalize :: Ctx -> ByteString #

finalize the context into a digest bytestring

# Single Pass hashing

hash :: Int -> ByteString -> ByteString #

hash a strict bytestring into a digest bytestring

hashlazy :: Int -> ByteString -> ByteString #

hash a lazy bytestring into a digest bytestring